interface ApiGatewayTargetConfigurationProps
| Language | Type name |
|---|---|
.NET | Amazon.CDK.AWS.Bedrock.Agentcore.Alpha.ApiGatewayTargetConfigurationProps |
Go | github.com/aws/aws-cdk-go/awsbedrockagentcorealpha/v2#ApiGatewayTargetConfigurationProps |
Java | software.amazon.awscdk.services.bedrock.agentcore.alpha.ApiGatewayTargetConfigurationProps |
Python | aws_cdk.aws_bedrock_agentcore_alpha.ApiGatewayTargetConfigurationProps |
TypeScript (source) | @aws-cdk/aws-bedrock-agentcore-alpha ยป ApiGatewayTargetConfigurationProps |
Properties for creating an API Gateway target configuration.
Example
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import * as bedrock_agentcore_alpha from '@aws-cdk/aws-bedrock-agentcore-alpha';
import { aws_apigateway as apigateway } from 'aws-cdk-lib';
declare const restApi: apigateway.RestApi;
const apiGatewayTargetConfigurationProps: bedrock_agentcore_alpha.ApiGatewayTargetConfigurationProps = {
apiGatewayToolConfiguration: {
toolFilters: [{
filterPath: 'filterPath',
methods: [bedrock_agentcore_alpha.ApiGatewayHttpMethod.GET],
}],
// the properties below are optional
toolOverrides: [{
method: bedrock_agentcore_alpha.ApiGatewayHttpMethod.GET,
name: 'name',
path: 'path',
// the properties below are optional
description: 'description',
}],
},
restApi: restApi,
// the properties below are optional
metadataConfiguration: {
allowedQueryParameters: ['allowedQueryParameters'],
allowedRequestHeaders: ['allowedRequestHeaders'],
allowedResponseHeaders: ['allowedResponseHeaders'],
},
stage: 'stage',
};
Properties
| Name | Type | Description |
|---|---|---|
| api | Api | Tool configuration defining which operations to expose. |
| rest | IRest | The REST API to integrate with Must be in the same account and region as the gateway. |
| metadata | Metadata | Metadata configuration for passing headers and query parameters Allows you to pass additional context through headers and query parameters. |
| stage? | string | The stage name of the REST API. |
apiGatewayToolConfiguration
Type:
Api
Tool configuration defining which operations to expose.
restApi
Type:
IRest
The REST API to integrate with Must be in the same account and region as the gateway.
metadataConfiguration?
Type:
Metadata
(optional, default: No metadata configuration)
Metadata configuration for passing headers and query parameters Allows you to pass additional context through headers and query parameters.
stage?
Type:
string
(optional, default: Uses the deployment stage from the RestApi (restApi.deploymentStage.stageName))
The stage name of the REST API.

.NET
Go
Java
Python
TypeScript (